import { ConfigService } from '@nestjs/config';
import { ISSHProvider } from './interfaces/ssh-provider.interface';
import { SSHKeyDto } from '../dto/ssh-key.dto';
export declare class ContaboSSHProviderService implements ISSHProvider {
    private readonly configService;
    private readonly logger;
    constructor(configService: ConfigService);
    listSSHKeys(): Promise<SSHKeyDto[]>;
    testConnection(): Promise<{
        success: boolean;
        error?: string;
    }>;
}
